#pragma once

#include <QAction>
#include <QString>
#include <QStringList>

template <>
callable_when(unconsumed) [[nodiscard]] std::optional<QString> Configuration::value(const char *path) const;
template <>
callable_when(unconsumed) [[nodiscard]] std::optional<QStringList> Configuration::value(const char *path) const;

template <>
callable_when(unconsumed) QAction &Configuration::shortcut(QAction &, const char *) const;
template <>
callable_when(unconsumed) QKeySequence &Configuration::shortcut(QKeySequence &, const char *) const;
