/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/cgit/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef SETTINGS_TREE
#define SETTINGS_TREE

#include <QTableWidget>

class QSettings;
class QToolButton;
class SettingsTable : public QTableWidget
{
public:
    SettingsTable(QWidget *parent = nullptr);

    void connect(QSettings *settings, const QString &section = QString());

protected:
    void resizeEvent(QResizeEvent *event);

private:
    QString m_selectedKey;
    QToolButton *addBtn = nullptr, *removeBtn = nullptr;
};

#endif // SETTINGS_TREE
