/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#include "profileeditorplugin.h"
#include "forms/profilemanagerdialog.h"

QDialog *ProfileEditorPlugin::createWidget(QWidget *parent) const
{
    auto *widget = new ProfileManagerDialog(parent);
    widget->setAttribute(Qt::WA_DeleteOnClose, true);


    return widget;
}
