/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef SMOLBOTE_ABOUTPLUGIN_H
#define SMOLBOTE_ABOUTPLUGIN_H

#include <QDialog>

namespace Ui
{
class AboutPluginDialog;
}
class QPluginLoader;
class AboutPluginDialog : public QDialog
{
    Q_OBJECT

public:
    explicit AboutPluginDialog(QWidget *parent = nullptr);
    ~AboutPluginDialog() override;

signals:
    void loadPlugin(const QString &path);

public slots:
    void add(QPluginLoader *loader);

private:
    Ui::AboutPluginDialog *ui;
};

#endif // SMOLBOTE_ABOUTPLUGIN_H
