/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef SMOLBOTE_SEARCHFORM_H
#define SMOLBOTE_SEARCHFORM_H

#include <QWidget>

namespace Ui
{
class SearchForm;
}

class QWebEngineView;
class SearchForm : public QWidget
{
    Q_OBJECT

public:
    explicit SearchForm(QWidget *parent = nullptr);
    ~SearchForm() override;

public slots:
    void setView(QWebEngineView *view);

protected:
    void showEvent(QShowEvent *event) override;
    void hideEvent(QHideEvent *event) override;

private:
    Ui::SearchForm *ui;
    QWebEngineView *m_view = nullptr;
};

#endif // SMOLBOTE_SEARCHFORM_H
