smolbote(1)

# NAME

smolbote - yet another no-frills web browser

# SYNOPSIS

*poi* [options] [command/URL(s)]

# DESCRIPTION

smolbote is a cross-platform keep-it-simple free software web browser that uses Qt and QtWebEngine.

# USAGE

## Command-line options
- `-h`, `--help`: Display command-line options list.
- `-v`, `--version`: Display version information.
- `-b`, `--build`: Display build commit.
- `-c`, `--config`: Set configuration file.
- `--no-remote`: Don't check for other instances when starting.
- `-s, --session`: Open the selected session.
- `--pick-session`: Open all available sessions and select which one to open.

# SEE ALSO

*smolboterc*(5) - configuration file and options++
*smolbote-profile*(5) - profiles and how to use them

# AUTHORS

Maintained by <aqua@iserlohn-fortress.net>.

Up-to-date sources can be found at https://neueland.iserlohn-fortress.net/cgit/smolbote

Bug reports and patches can be submitted by email to <aqua@iserlohn-fortress.net>.

# COPYRIGHT

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License version 3 as
published by the Free Software Foundation.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
