#include <QApplication>
#include <QTimer>
#include "aboutdialog.h"

int main(int argc, char **argv)
{
    QApplication app(argc, argv);
    app.setApplicationName("about");
    app.setApplicationVersion("1.2.3");

    AboutDialog dlg;
    QObject::connect(&dlg, &AboutDialog::finished, &app, &QApplication::quit);
    dlg.show();

    if(qEnvironmentVariableIsSet("autoclose")) {
        QTimer::singleShot(200, &dlg, &AboutDialog::accept);
    }

    return app.exec();
}

