/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef SMOLBOTE_MENUBAR_H
#define SMOLBOTE_MENUBAR_H

#include <QMenuBar>

class MainWindow;
class SubWindow;
class MenuBar : public QMenuBar
{
    Q_OBJECT

public:
    MenuBar(QMenu *appMenu, MainWindow *parent = nullptr);
    void insertSubWindow(SubWindow *subwindow);

private:
    MainWindow *m_parent = nullptr;
    QMenu *window = nullptr;
    QAction *pluginInsertLocation = nullptr;
};

#endif // SMOLBOTE_MENUBAR_H
