/*
 * This file is part of smolbote. It's copyrighted by the contributors recorded
 * in the version control history of the file, available from its original
 * location: https://neueland.iserlohn-fortress.net/gitea/aqua/smolbote
 *
 * SPDX-License-Identifier: GPL-3.0
 */

#ifndef SMOLBOTE_UTIL_H
#define SMOLBOTE_UTIL_H

#include <QStringList>
#include <QIcon>
#include <QStyle>

namespace Util {

const QStringList files(const QString &location, const QStringList &nameFilters = QStringList());
[[nodiscard]] QIcon icon(QStyle::StandardPixmap id);

}

#endif // SMOLBOTE_UTIL_H
